org.openstreetmap.josm.plugins.streetside.cache

## Enum CacheUtils.PICTURE

- java.lang.Object
- - java.lang.Enum<CacheUtils.PICTURE>
  - - org.openstreetmap.josm.plugins.streetside.cache.CacheUtils.PICTURE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CacheUtils.PICTURE>
  Enclosing class:
    CacheUtils

      public static enum CacheUtils.PICTURE
      extends java.lang.Enum<CacheUtils.PICTURE>

  Picture quality

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH` Both of them
    `CUBEMAP` Streetside cubemap
    `FULL_IMAGE` Full quality picture (2048 p)
    `THUMBNAIL` Thumbnail quality picture (320 p)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CacheUtils.PICTURE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CacheUtils.PICTURE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### THUMBNAIL

          public static final CacheUtils.PICTURE THUMBNAIL

      Thumbnail quality picture (320 p)

    - #### FULL_IMAGE

          public static final CacheUtils.PICTURE FULL_IMAGE

      Full quality picture (2048 p)

    - #### BOTH

          public static final CacheUtils.PICTURE BOTH

      Both of them

    - #### CUBEMAP

          public static final CacheUtils.PICTURE CUBEMAP

      Streetside cubemap

  - ### Method Detail

    - #### values

          public static CacheUtils.PICTURE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CacheUtils.PICTURE c : CacheUtils.PICTURE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CacheUtils.PICTURE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

JOSM Plugins